Subject: Re: Cross compilation for MIPS/68000 embedded applications.
From: [email-masked] ("John D. Robertson")

1 May 1997 10:02:25 -0700
Approved: [email-masked]
Distribution: cygnus
Message-ID: <Pine.LNX.3.91.970501090821.230B-100000.cygnus.gnu-win32@localhost>
Mime-Version: 1.0
Content-Type: TEXT/PLAIN; charset=US-ASCII
X-Sender: john@localhost
Original-To: Imerio Ballarini <[email-masked]>
Original-Cc: "[email-masked]" <[email-masked]>
In-Reply-To: <[email-masked]>
Original-Sender: [email-masked]

I have seen these messages before, but not while cross compiling.  I 
think this happens when you declare a pure virtual function, and then 
never supply an implementation.

class a
{
public:
   virtual void myfunc()=0;
   virtual void impfunc()=0;
};

class b : public a
{
public:
   void impfunc() {}
};

GCC will complain even if the function is never used.  I believe that the 
SGI IRIX compiler will give you specific error messages specifying which 
function is not implemented, but will say nothing if the function is 
never accessed.

Hope this helps.

JDR

|======================================================|
| John D. Robertson, ADAMS Modeler / Software Engineer |
| Robertson & Robertson Consultants, Inc.              |
| 3637 West Georgia Rd.                                |
| Pelzer, SC  29669                                    |
|                                                      |
| Phone: (864) 243-2436                                |
|   Fax: (864) 243-3023                                |
| Email: [email-masked]                                 |
|======================================================|

On Wed, 30 Apr 1997, Imerio Ballarini wrote:

> I've built the 17.1 distribution of GCC as a cross compiler for the MIPS
> processor and have got it to compile all of my embedded app. On linking
> however, I'm getting unresolved "virtual table" references for some (and
> only some) of my classes and I don't know why.  The code I'm compiling
> builds fine under different compilers.  The specific class methods that
> fail have nothing in common and differ little from my other classes that
> build and link successfully.
> 
> I'm at a loss.  Any ideas?  Has anyone successfully xcompiled embedded
> code?  
> 
> Anyway, the whole job has been a pain and I have to do it all over again
> for my 68000 apps.  I don't suppose any of you have built a 68000
> xcompiler?
> 
> Thanks,
> -Imerio.
> 
> --
> Imerio Ballarini
> Bay Networks, Watford, UK.
> Tel +44 (0)1923 479819
> -
> For help on using this list (especially unsubscribing), send a message to
> "[email-masked]" with one line of text: "help".
> 
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".